5月 202018
 

最近,刚将博客程序升级到WordPress 4.9.6,没想到刚一升级就出现了问题:评论无法回复,无法上传图片,设置等也无法更新,反正整个博客都被锁定了,只能看不能修改。

X~D0D8A19WGF}@Z`(9N]MJX

8VZZZ@TEUOF$UL283O5PHZU

网上找了几个解决方法,或建议修改.htaccess文件,或建议在functions.php文件中添加过滤代码,但均未凑效。后来,网上搜索到一篇老外的文章,摸索了一阵子,才找到了解决办法。具体如下:

1. 打开WP debug功能。在根目录下,找到wp-config.php,其中有一行代码:

define(‘WP_DEBUG’, false);

image

将之修改为:

define(‘WP_DEBUG’, true);

之后,通过FTP上传,更改文件。

2. 更新后,会看到错误提示,比如一些插件的冲突和代码的错误等,然后根据提示进行修改。

image

3. 此类错误,很多都是由于插件冲突引起的,所以,你也可以先将所有插件关闭,然后逐一排除。经过排除,我发现错误是由BackWPup这个插件引起的,关闭之后,网站就正常了。

以上为解决的思路和方法,每个博客,出错的内容可能不同,可以按照这个思路,逐一排查解决。

  4 Responses to “解决Wordpress博客升级到4.9.6出现的Internal Server Error错误”

  1. 不知为何我博客系统是4.9.5,没提醒说升级至4.9.6

  2. OMG,更新还是再等两天吧!我讨厌这种麻烦。

 Leave a Reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

(required)

(required)